package com.adealink.frame.imkit.event.actionevent

open class BaseMessageEvent : MessageEventListener {
    override fun onSendMessage(event: SendEvent) {
        // do nothing
    }

    override fun onSendMediaMessage(event: SendMediaEvent) {
        // do nothing
    }

    override fun onDownloadMessage(event: DownloadEvent) {
        // do nothing
    }

    override fun onDeleteMessage(event: DeleteEvent) {
        // do nothing
    }

    override fun onRecallEvent(event: RecallEvent) {
        // do nothing
    }

    override fun onRefreshEvent(event: RefreshEvent) {
        // do nothing
    }

    override fun onInsertMessage(event: InsertEvent) {
        // do nothing
    }

    override fun onClearMessages(event: ClearEvent) {
        // do nothing
    }
}
